osg::Operation Class Referenceabstract

`#include <OperationThread>`

Inheritance diagram for osg::Operation:

## Public Member Functions

| Operation (const std::string &name, bool keep)
void | setName (const std::string &name)
const std::string & | getName () const
void | setKeep (bool keep)
bool | getKeep () const
virtual void | release ()
virtual void | operator() (Object *)=0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

| Operation ()
virtual | ~Operation ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

std::string | _name
bool | _keep
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

Base class for implementing graphics operations.

## Constructor & Destructor Documentation

## Operation() [1/2]

osg::Operation::Operation | ( | const std::string & | name,
|  | bool | keep )

inline

References _keep, and _name.

Referenced by osg::BarrierOperation::BarrierOperation(), and osg::GraphicsOperation::GraphicsOperation().

## Operation() [2/2]

osg::Operation::Operation | ( |  | ) |

inline protected

References _keep.

## ~Operation()

virtual osg::Operation::~Operation | ( |  | ) |

inline protected virtual

## Member Function Documentation

## getKeep()

bool osg::Operation::getKeep | ( |  | ) | const

inline

Get whether the operation should be kept once its been applied.

References _keep.

## getName()

const std::string & osg::Operation::getName | ( |  | ) | const

inline

Get the human readable name of the operation.

References _name.

## operator()()

virtual void osg::Operation::operator() | ( | Object * |  | ) |

pure virtual

Do the actual task of this operation.

Implemented in osg::BarrierOperation, osg::GraphicsOperation, and osgViewer::Renderer.

## release()

virtual void osg::Operation::release | ( |  | ) |

inline virtual

if this operation is a barrier then release it.

Reimplemented in osg::BarrierOperation, osg::BlockAndFlushOperation, osg::ReleaseContext_Block_MakeCurrentOperation, and osgViewer::Renderer.

## setKeep()

void osg::Operation::setKeep | ( | bool | keep | ) |

inline

Set whether the operation should be kept once its been applied.

References _keep.

## setName()

void osg::Operation::setName | ( | const std::string & | name | ) |

inline

Set the human readable name of the operation.

References _name.

## Member Data Documentation

## _keep

bool osg::Operation::_keep

protected

Referenced by getKeep(), Operation(), Operation(), and setKeep().

## _name

std::string osg::Operation::_name

protected

Referenced by getName(), Operation(), and setName().

The documentation for this class was generated from the following file:

- OperationThread